### Hierarchy

- IEmitter
  - IGridEvents

### Implemented by

- GridEvents

## Index

### Properties

- CELL_CLICKED
- CELL_DOUBLE_CLICKED
- CELL_LINK_CLICKED
- CELL_RESET
- CELL_SELECTED
- CELL_VALUE
- DELETE
- EDITING
- NO_CELL
- RESIZED
- SELECTED_ALL
- emit
- off
- on
- register
- unRegister

### Methods

- emitCellSelected
- removeEvent
- removeEvents

## Properties

### CELL_CLICKED

CELL_CLICKED: string

- Defined in Grid3/GridEvents.ts:10

### CELL_DOUBLE_CLICKED

CELL_DOUBLE_CLICKED: string

- Defined in Grid3/GridEvents.ts:9

### CELL_LINK_CLICKED

CELL_LINK_CLICKED: string

- Defined in Grid3/GridEvents.ts:8

### CELL_RESET

CELL_RESET: string

- Defined in Grid3/GridEvents.ts:13

### CELL_SELECTED

CELL_SELECTED: string

- Defined in Grid3/GridEvents.ts:12

### CELL_VALUE

CELL_VALUE: string

- Defined in Grid3/GridEvents.ts:11

### DELETE

DELETE: string

- Defined in Grid3/GridEvents.ts:16

### EDITING

EDITING: string

- Defined in Grid3/GridEvents.ts:14

### NO_CELL

NO_CELL: string

- Defined in Grid3/GridEvents.ts:7

### RESIZED

RESIZED: string

- Defined in Grid3/GridEvents.ts:15

### SELECTED_ALL

SELECTED_ALL: string

- Defined in Grid3/GridEvents.ts:17

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### emitCellSelected

- emitCellSelected(data: IGridEventCellSelected): void

- - Defined in Grid3/GridEvents.ts:18

  #### Parameters

  - ##### data: IGridEventCellSelected

  #### Returns void

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

Generated using TypeDoc